/*
 * Program: x48 with GTK support
 * Version: 0.5.0 (GTK)
 * File: register.h
 * Description: ?
 * History:
 *          Ver              Modified                Date
 *          ===  ================================  ========
 */


#ifndef _REGISTER_H
#define _REGISTER_H

void copy_register(unsigned char *to, unsigned char *from, int code);
void add_p_plus_one(unsigned char *r);
void exchange_register(unsigned char *r1, unsigned char *r2, int code);
void exchange_reg(unsigned char *r, word_20 *d, int code);
void shift_left_register(unsigned char *r, int code);
void shift_left_circ_register(unsigned char *r, int code);
void shift_right_register(unsigned char *r, int code);
void shift_right_circ_register(unsigned char *r, int code);
void add_register(unsigned char *res, unsigned char *r1,
		  unsigned char *r2, int code);
void sub_register(unsigned char *res, unsigned char *r1,
		  unsigned char *r2, int code);
void sub_register_constant(unsigned char *r, int code, int val);
void add_register_constant(unsigned char *r, int code, int val);
void shift_right_bit_register(unsigned char *r, int code);
int is_equal_register(unsigned char *r1, unsigned char *r2, int code);
int is_not_equal_register(unsigned char *r1, unsigned char *r2, int code);
int is_less_register(unsigned char *r1, unsigned char *r2, int code);
int is_less_or_equal_register(unsigned char *r1, unsigned char *r2, int code);
int is_greater_register(unsigned char *r1, unsigned char *r2, int code);
int is_greater_or_equal_register(unsigned char *r1,
				 unsigned char *r2, int code);
void dec_register(unsigned char *r, int code);
void inc_register(unsigned char *r, int code);
void complement_1_register(unsigned char *r, int code);
void zero_register(unsigned char *r, int code);
int is_zero_register(unsigned char *r, int code);
int is_not_zero_register(unsigned char *r, int code);
void complement_2_register(unsigned char *r, int code);
void and_register(unsigned char *res, unsigned char *r1,
		  unsigned char *r2, int code);
void or_register(unsigned char *res, unsigned char *r1,
		 unsigned char *r2, int code);

#endif
