/*
 * Program: x48 with GTK support
 * Version: 0.5.0 (GTK)
 * File: rpl.h
 * Description: rpl.c header file
 * History:
 *          Ver              Modified                Date
 *          ===  ================================  ========
 */


#ifndef _RPL_H
#define _RPL_H 1


/* Object Prologs */
#define DOBINT		0x02911		/* System Binary	*/
#define DOREAL		0x02933		/* Real			*/
#define DOEREL		0x02955		/* Extended Real	*/
#define DOCMP		0x02977		/* Complex		*/
#define DOECMP		0x0299d		/* Extended Complex	*/
#define DOCHAR		0x029bf		/* Character		*/
#define DOARRY 		0x029e8		/* Array		*/
#define DOLNKARRY	0x02a0a		/* Linked Array		*/
#define DOCSTR		0x02a2c		/* String		*/
#define DOHSTR		0x02a4e		/* Binary Integer	*/
#define DOHXS		0x02a4e		/* Binary Integer	*/
#define DOLIST		0x02a74		/* List			*/
#define DORRP		0x02a96		/* Directory		*/
#define DOSYMB		0x02ab8		/* Algebraic		*/
#define DOEXT		0x02ada		/* Unit			*/
#define DOTAG		0x02afc		/* Tagged		*/
#define DOGROB		0x02b1e		/* Graphic Object	*/
#define DOLIB		0x02b40		/* Library		*/
#define DOBAK		0x02b62		/* Backup		*/
#define DOEXT0		0x02b88		/* Library Data		*/
#define DOACPTR		0x02baa		/*			*/
#define DOEXT2		0x02bcc		/*			*/
#define DOEXT3		0x02bee		/*			*/
#define DOEXT4		0x02c10		/*			*/
#define DOCOL		0x02d9d		/* Program		*/
#define DOCODE		0x02dcc		/* Code			*/
#define DOIDNT		0x02e48		/* Global Name		*/
#define DOLAM		0x02e6d		/* Local Name		*/
#define DOROMP		0x02e92		/* XLib Name		*/

/* Terminates composite objects */
#define SEMI		0x0312b		/* Semi			*/

/* Unit Operators */
#define UM_MUL		0x10b5e		/* Unit Operator *	*/
#define UM_DIV		0x10b68		/* Unit Operator /	*/
#define UM_POW		0x10b72		/* Unit Operator ^	*/
#define UM_PRE		0x10b7c		/* Unit Operator prefix */
#define UM_END		0x10b86		/* Unit Operator _	*/


/* RPL Pointers */
#define TEMPOB          ( opt_gx ? 0x806E9 : 0x7056A )  /* TEMPOB        */
#define TEMPTOP         ( opt_gx ? 0x806EE : 0x7056F )  /* TEMPTOP       */
#define RSKTOP          ( opt_gx ? 0x806F3 : 0x70574 )  /* RSKTOP = B    */
#define DSKTOP          ( opt_gx ? 0x806F8 : 0x70579 )  /* DSKTOP = D1   */
#define AVMEM           ( opt_gx ? 0x807ED : 0x7066E )  /* AVMEM = D     */
#define INTRPPTR        ( opt_gx ? 0x8072F : 0x705B0 )  /* INTRPPTR = D0 */


#endif /* !_RPL_H */
