/*
 * Program: x48 with GTK support
 * Version: 0.5.0 (GTK)
 * File: x48_gtk.h
 * Description: include file for all files realated with X11 and/or gtk
 * History:
 *          Ver              Modified                Date
 *          ===  ================================  ========
 */


#ifndef _X11_GTK_H
#define _X11_GTK_H 1


/* Hp48 Screen */
#define HP48_SCREEN_POSX   20
#define HP48_SCREEN_POSY   50
#define HP48_SCREEN_WIDTH  262
#define HP48_SCREEN_HEIGHT 128

/* Widgets Geometry */
#define WIN_MAIN_WIDTH     302
#define WIN_MAIN_HEIGHT    544
#define XPM_WIDTH          302
#define BOX_ICONS_HEIGHT   30
#define HP48_HEIGHT        514


/***********************************************
 ***************** FUNCTIONS *******************
 ***********************************************/
/* x48_gtk.c */
extern void draw_anns();
extern int  configure_disp( GtkWidget *widget, GdkEventConfigure *ev );
extern int  expose_disp( GtkWidget *widget, GdkEventExpose *ev );
extern void btn_event( GtkWidget *widget, GdkEventButton *ev );
extern void key_event( GtkWidget *widget, GdkEventKey *ev );
extern void key_release( GtkWidget *widget, GdkEventKey *ev );
extern int  x48_quit( GtkWidget *widget, GtkWidget *win );

/* x48_gtk_dialogs.c */
extern void    MessageDialog1( char *title, char *text, int icon );
extern int     MessageDialog2( char *title, char *text, int icon );
extern void    NotYetAvailable( GtkWidget widget, char *title );

/* x48_gtk_menu.c */
extern void menu_load_object();
extern void menu_save_object();
extern void menu_save_state();
extern void menu_settings();
extern void menu_reset();
extern void menu_about();


#endif /* _X11_GTK_H */

